Ticket #101 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

Add check for nagios-style external programs.

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Ruse
Component: noitd Severity:
Keywords: Cc:

Description

Add an external module for running commands external to the noitd process. It should be nagios like in that it respects the exit codes in the same way (0: good, 1/2: bad, 3: unknown). One should be able to control all arguments and environment from the noitd.conf. stdout should be captured and used as a text metric. stderr should be captured and logged as an error.

Change History

03/10/09 15:34:52 changed by jesus

(In [606]) initial implementation.. works on Mac OS X. refs #101

03/13/09 17:12:05 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

Closing out.

03/16/09 18:30:30 changed by mark

(In [620]) work on Linux, refs #101